@charset "UTF-8";

/*--- アクティブナビゲーション ---*/
.navi-com a {
  font-weight: bold;
  color: #2680E8;
  pointer-events: none;
}

/*--- ページタイトル ---*/
.page-ttl {
  background-image: url("../img/office_building.jpg");
  &::after { /* ページタイトル英語表記 */
    content: "COMPANY";
  }
}

/* セクション タイトル */
.sec-cont-ttl {
  position: relative; /* 疑似クラス（before）用*/
  letter-spacing: 0.1rm;
  font-size: var(--font-size-20);
  /*font-weight: 700;*/
  /*z-index: 0; -20260303- */
}

/* ごあいさつ */
.greetings {
  margin-top: 100px;
  & > .sec-cont-ttl {
    margin-bottom: 2rem;
    &::before {
      content: "Greetings";
      position: absolute;
      top: -0.7em;
      left: -0.2em;
      font-family: "Outfit", sans-serif;
      font-weight: 700;
      font-size: var(--font-size-64);
      letter-spacing: 0;
      color: silver;
      opacity: 0.3;
      display: block;
      z-index: -1;
    }
  }
  & > .sec-cont-txt {
    font-family: "Noto Serif JP", serif; /* 明朝 */
    &:first-of-type { /* 最初 */
      font-size: var(--font-size-20);
      font-weight: 700;
    }
  }
  & > .ceo { /* ceo */
    margin-top: 1rem;
    font-family: "Noto Serif JP", serif; /* 明朝 */
    font-weight: 700;
    text-align: right;
    & > span {
      font-size: var(--font-size-20);
      margin-left: 1em;
    }
  }
}

/* 会社概要 */
.profile {
  margin-top: 100px;
  & > .sec-cont-ttl::before {
    content: "Overview";
    position: absolute;
    top: -0.7em;
    left: -0.2em;
    font-family: "Outfit", sans-serif;
    font-weight: 700;
    font-size: var(--font-size-64);
    letter-spacing: 0;
    color: silver;
    opacity: 0.3;
    display: block;
    z-index: -1;
  }
  & > .syaoku { /* 社屋 */
    margin-top: 10px;
    & > img {
      width: 100%;
      height: auto;
      margin-bottom: 3px;
    }
    & > .syaoku-txt {
      margin-bottom: 2rem;
      text-align: right;
      font-size: var(--font-size-14);
    }
  }

}

.sec-cont-tbl { /* .profile > .sec-cont-tbl */
  & th {
    white-space: nowrap;
  }
  & .office-address { /* 会社住所 */
    & > div {
      margin-left: 1rem;
    }
    &:not(:last-of-type) { /* 最後以外 */
      margin-bottom: 2rem;
    }
  }
}

/* アクセス */
.access {
  margin-top: 100px;
  & > .sec-cont-ttl::before {
    content: "Access";
    position: absolute;
    top: -0.7em;
    left: -0.2em;
    font-family: "Outfit", sans-serif;
    font-weight: 700;
    font-size: var(--font-size-64);
    letter-spacing: 0;
    color: silver;
    opacity: 0.3;
    display: block;
    z-index: -1;
  }
  & > .map { /* 地図 */
    width: 100%;
    height: 100vh;
    margin-top: 10px;
    & > iframe { /* google maps用 */
      width: 100%;
      height: 100%;
    }
  }
  & > .route { /* 経路 */
    line-height: 1.5;
    & span {
      font-weight: 700;
    }
  }
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上）*/
  .syaoku {
    margin: 30px auto 0 !important;
    width: 80%;
  }
  .map {
    height: 500px;
    clear: both;
  }
}